"use client";
import { useTheme } from "@/components/ThemeProvider";
import { account } from "@/lib/appwrite";

export default function Navbar() {
  const { darkMode, toggleDarkMode } = useTheme();

  const handleLogout = async () => {
    await account.deleteSession("current");
    window.location.href = "/login";
  };

  return (
    <nav className={`
      flex justify-between items-center p-4
      ${darkMode ? 'bg-gray-800' : 'bg-gray-200'}
      ${darkMode ? 'text-white' : 'text-black'}
    `}>
      <h1 className="text-lg font-bold">Navbar</h1>
      
      <div className="flex items-center gap-4">
        {/* Dark Mode Toggle Button */}
        <button
          onClick={toggleDarkMode}
          className={`
            p-2 rounded-full
            ${darkMode ? 'bg-gray-700' : 'bg-gray-300'}
            ${darkMode ? 'text-yellow-300' : 'text-gray-700'}
          `}
        >
          {darkMode ? "☀️" : "🌙"}
        </button>
        
        {/* Logout Button */}
        <button
          onClick={handleLogout}
          className={`
            px-4 py-2 rounded
            ${darkMode ? 'bg-red-700' : 'bg-red-500'}
            text-white
          `}
        >
          Logout
        </button>
      </div>
    </nav>
  );
}