"use client";
import { useTheme } from "../components/ThemeProvider";

export default function Sidebar() {
  const { darkMode } = useTheme();

  return (
    <div className={`w-64 h-screen p-4 ${darkMode ? 'bg-gray-800' : 'bg-gray-200'}`}>
      {/* Sidebar content - removed the toggle button */}
      <div className={`mt-4 p-3 rounded ${darkMode ? 'bg-gray-700' : 'bg-white'}`}>
        <p className={darkMode ? 'text-white' : 'text-black'}>
          Current Mode: <strong>{darkMode ? "Dark" : "Light"}</strong>
        </p>
      </div>
    </div>
  );
}